Bug 55225 - system hangs when SMP is enabled
system hangs when SMP is enabled
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-27 13:30 EDT by Job J. van Gorkum
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-11 09:18:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -v output (5.93 KB, text/plain)
2001-10-27 13:33 EDT, Job J. van Gorkum
no flags Details

  None (edit)
Description Job J. van Gorkum 2001-10-27 13:30:23 EDT
Description of Problem:

system installed perfectly, after the reboot to the SMP kernel the system
hangs when starting a compile (anything) a few files are processed then the
system freezes... 

Version-Release number of selected component (if applicable):
base 7.2 kernel from CD and 2.4.9-7smp

How Reproducible:
Allways

Steps to Reproduce:
1. boot system
2. compile any source
3. 

Actual Results:
Hang(freeze)

Expected Results:
blazing fast compile

Additional Information:

systemboard is a ASUS XG-DLS (bios version 1013) 512 MB

attached a lspci -v ouput

P.S. when the 2nd processor is removed the system works perfectly (as it
did with 7.1/7.0/6.2/etc...)
Comment 1 Job J. van Gorkum 2001-10-27 13:33:05 EDT
Created attachment 35261 [details]
lspci -v output
Comment 2 Job J. van Gorkum 2001-11-01 16:40:52 EST
I did the following:

- Installed the 2.4.9-7smp kernel
- removed 1 processor (and replaced it with the supplied FSB terminator)
- boot the system (leaving IO-APIC enabled)

system is runnig fine for 2 days

still when I reinsert the 2nd processor an generate a High CPU load (make -j4 on
any source) the system freezes (alt sysrq does not work)

$cat /proc/interupts

           CPU0       
  0:   17666761    IO-APIC-edge  timer
  1:      33281    IO-APIC-edge  keyboard
  2:          0          XT-PIC  cascade
  5:     228504    IO-APIC-edge  soundblaster
  8:          1    IO-APIC-edge  rtc
  9:   15500695   IO-APIC-level  nvidia
 10:    8186722   IO-APIC-level  eth0
 11:     919605   IO-APIC-level  aic7xxx, aic7xxx, aic7xxx
 12:    1656879    IO-APIC-edge  PS/2 Mouse
NMI:          0 
LOC:   17667545 
ERR:          0
MIS:          0

$ cat /proc/cpuinfo 
processor
: 0
vendor_id
: GenuineIntel
cpu family	: 6
model
	: 7
model name	: Pentium III (Katmai)
stepping
: 3
cpu MHz		: 551.257
cache size	: 512 KB
fdiv_bug
: no
hlt_bug
	: no
f00f_bug
: no
coma_bug
: no
fpu
	: yes
fpu_exception
: yes
cpuid level	: 2
wp
	: yes
flags
	: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 mmx
fxsr sse
bogomips
: 1101.00
Comment 3 Job J. van Gorkum 2001-11-02 07:18:36 EST
what kind of information do you need of me to resolve this bug, It's waste of
money buying a $800 processor and being able to use it!
Comment 4 Job J. van Gorkum 2001-12-19 09:34:10 EST
Is this the way you help a paying customer? 

We have resolved the issue on our own... 

If you want to close the bug, you will have to do it yourself.



Comment 5 Christofer C. Bell 2002-01-11 09:18:50 EST
I have a similiar problem on my system which is an Intel Celeron machine 
running SMP on a patched Abit BP-6 motherboard.  The system actually runs fine, 
complies software, and whatnot.  However, after running for anywhere from 20 
mintues to 2 hours, the Ethernet card will cease speaking to the network (Intel 
EtherExpress Pro 10/100) or the machine will lock up entirely.  This seems to 
me to be a problem with interrupt handling in the shipped kernel (2.5.9-13smp 
in this case).

Note You need to log in before you can comment on or make changes to this bug.